API Docs
YMS API
Task Management
POST Search Tasks by Paging

POST Search Tasks by Paging

Introduction

Searches and retrieves yard tasks with pagination support and multiple filter criteria. Allows filtering by task type, status, assigned users, locations, customers, entry tickets, and time ranges. Supports sorting by various fields and is commonly used in task management dashboards, task assignment interfaces, and operational monitoring screens to display and manage active yard operations.

API Request

POST /general-task/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "taskId": "string",
  "taskType": "RECEIVE",
  "timeStatus": "NOT_STARTED",
  "loadId": "string",
  "receiptId": "string",
  "loadIds": [
    "string"
  ],
  "receiptIds": [
    "string"
  ],
  "entryIds": [
    "string"
  ],
  "entryId": "string",
  "taskStatus": "NEW",
  "taskStatuses": [
    "NEW"
  ],
  "equipmentId": "string",
  "taskIds": [
    "string"
  ],
  "assignLocationId": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyGeneralTaskQueryNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "id": 0,
        "taskId": "",
        "taskType": "",
        "timeStatus": "",
        "startTime": "",
        "lastPauseTime": "",
        "endTime": "",
        "totalRunTime": 0,
        "totalPausedTime": 0,
        "createdTime": "",
        "updatedTime": "",
        "createdBy": "",
        "updatedBy": "",
        "assignUserName": "",
        "plannedLocationId": "",
        "assignLocationId": "",
        "assignLocationName": "",
        "customerId": "",
        "customerName": "",
        "entryId": "",
        "loadIds": [
          ""
        ],
        "receiptIds": [
          ""
        ],
        "taskStatus": "",
        "assigneeUserId": "",
        "description": "",
        "priority": "",
        "note": "",
        "lastStepAssignedUserIds": [
          ""
        ],
        "planedLastStepAssignedUserIds": [
          ""
        ],
        "lastStepAssignedUserNames": [
          ""
        ],
        "planedLastStepAssignedUserNames": [
          ""
        ],
        "lastStepId": "",
        "planedAssignAllSteps": false
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultGeneralTaskView